cryptol-3.0.0: Cryptol: The Language of Cryptography

Safe Haskell | Safe
Language | Haskell2010

Cryptol.TypeCheck.Interface

Synopsis

- mkIfaceDecl :: Decl -> IfaceDecl
- genIfaceNames :: ModuleG name -> IfaceNames name
- genModDefines :: ModuleG name -> Set Name
- genIface :: ModuleG name -> IfaceG name
- genIfaceWithNames :: IfaceNames name -> ModuleG ignored -> IfaceG name

# Documentation

mkIfaceDecl :: Decl -> IfaceDecl Source #

Information about a declaration to be stored an in interface.

genIfaceNames :: ModuleG name -> IfaceNames name Source #

Compute information about the names in a module.

genModDefines :: ModuleG name -> Set Name Source #

Things defines by a module

genIface :: ModuleG name -> IfaceG name Source #

genIfaceWithNames :: IfaceNames name -> ModuleG ignored -> IfaceG name Source #

Generate an Iface from a typechecked module.